<?php

if(!empty($_POST['details']) && !empty($_POST['name']) && !empty($_POST['mobile']) && !empty($_POST['email'])){
	
	$products = implode(", ", $_POST['tech2_mscheck']);
	if(substr($products, 0, 2) == ", "){
		$products = substr($products, 2);
	}
	
	$channels = implode(", ", $_POST['tech_mscheck']);
	if(substr($channels, 0, 2) == ", "){
		$channels = substr($channels, 2);
	}
	
	$to = "callcenter.socialmedia@cibeg.com, cib.socialmedia@vm.com.eg";
    // $to = "ahmed.adel.atta@gmail.com";
	$reply = "socialmedia.support@cibeg.com";
	$subject = '[FB Talk-to-Us] '.$_POST['feedbackType'].' - '.$products;
	            
    if(!empty($_POST['account']))
    $message = '<html><body dir="rtl" style="align: right; float: right;">'.
                '<b>الاسم:</b> '.$_POST['name']."<br/>".
                '<b>رقم المحمول:</b> '.$_POST['mobile']."<br/>".
                '<b>البريد الإلكترونى:</b> '.$_POST['email']."<br/>".
                '<b>عميل حالى:</b> '.$_POST['client']."<br/>".
                '<b>رقم الحساب:</b> '.$_POST['account']."<br/>".
                '<b>نوعية الرسالة:</b> '.$_POST['feedbackType']."<br/>".
                '<b>المنتج / الخدمة:</b> '.$products."<br/>".
                '<b>القناة:</b> '.$channels."<br/>".
                '<b>تفاصيل:</b> '.$_POST['details'].'</body></html>';
    else                            
    $message = '<html><body dir="rtl" style="align: right; float: right;">'.
                '<b>الاسم:</b> '.$_POST['name']."<br/>".
                '<b>رقم المحمول:</b> '.$_POST['mobile']."<br/>".
                '<b>البريد الإلكترونى:</b> '.$_POST['email']."<br/>".
                '<b>عميل حالى:</b> '.$_POST['client']."<br/>".
                '<b>نوعية الرسالة:</b> '.$_POST['feedbackType']."<br/>".
                '<b>المنتج / الخدمة:</b> '.$products."<br/>".
                '<b>القناة:</b> '.$channels."<br/>".
                '<b>تفاصيل:</b> '.$_POST['details'].'</body></html>';
	$headers = "";
	if(!empty($_POST['email'])){
		$headers = 'From: '.$_POST['email']. "\r\n" .
	    'Reply-To: '.$reply. "\r\n";
	}
	$headers = $headers . 'X-Mailer: PHP/' . phpversion();
	$headers .= 'MIME-Version: 1.0' . "\r\n";
	$headers .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
	mail($to, '=?utf-8?B?'.base64_encode($subject).'?=', $message, $headers);	
	
	echo 1;
}

?>